Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 449567 - FTBFS muine-0.8.8-9.fc9
Summary: FTBFS muine-0.8.8-9.fc9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: muine
Version: rawhide
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Sindre Pedersen Bjørdal
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-06-02 20:52 UTC by FTBFS
Modified: 2008-07-19 12:05 UTC (History)
1 user (show)

Fixed In Version: 0.8.9-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-19 12:05:36 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-06-02 20:52 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 20:52 UTC, FTBFS
no flags Details

Description FTBFS 2008-06-02 20:52:00 UTC
muine-0.8.8-9.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-06-02 20:52:25 UTC
Created attachment 307863 [details]
root.log.bz2

root.log for x86_64

Comment 2 FTBFS 2008-06-02 20:52:36 UTC
Created attachment 307864 [details]
build.log.bz2

build.log for x86_64

Comment 3 Alex Lancaster 2008-06-13 12:17:32 UTC
Just tried again:
http://koji.fedoraproject.org/koji/taskinfo?taskID=660529

This is the offending bit:

Mono Web Services Description Language Utility
Writing file 'AmazonSearchService.cs'
/usr/bin/gmcs -codepage:utf8  -target:winexe -out:muine.exe ./AddSongWindow.cs
./AddAlbumWindow.cs ./Global.cs ./PlaylistWindow.cs ./Song.cs ./Album.cs
./SongDatabase.cs ./About.cs ./Metadata.cs ./Player.cs ./FileSelector.cs
./StringUtils.cs ./KeyUtils.cs ./SkipToWindow.cs ./ProgressWindow.cs
./ErrorDialog.cs ./OverwriteDialog.cs ./VolumeButton.cs ./HandleView.cs
./HandleModel.cs ./StockIcons.cs ./ColoredCellRendererPixbuf.cs
./CoverDatabase.cs ./CoverGetter.cs ./MusicBrainz.cs ./GnomeProxy.cs
./CoverImage.cs ./MmKeys.cs ./GnomeMMKeys.cs ./FileUtils.cs ./SignalUtils.cs
./Database.cs ./DBusService.cs ./PluginManager.cs ./AddWindow.cs ./Config.cs
./DndUtils.cs ./Item.cs ./ThreadBase.cs ./AddWindowList.cs ./AddWindowEntry.cs
./Actions.cs ./ImportDialog.cs ./OpenDialog.cs ./SaveDialog.cs
AmazonSearchService.cs Defines.cs -r:../PluginLib/muine-plugin.dll
-r:../DBusLib/muine-dbus.dll -r:/usr/lib/mono/ndesk-dbus-1.0/NDesk.DBus.dll
-r:/usr/lib/mono/ndesk-dbus-glib-1.0/NDesk.DBus.GLib.dll  
-r:System.Web.Services -r:Mono.Posix
-resource:../data/glade/PlaylistWindow.glade,PlaylistWindow.glade
-resource:../data/glade/SkipToWindow.glade,SkipToWindow.glade
-resource:../data/glade/ErrorDialog.glade,ErrorDialog.glade
-resource:../data/glade/OverwriteDialog.glade,OverwriteDialog.glade
-resource:../data/glade/AddWindow.glade,AddWindow.glade
-resource:../data/glade/ProgressWindow.glade,ProgressWindow.glade
-resource:../data/ui/PlaylistWindow.xml,PlaylistWindow.xml
-resource:../data/images/muine-playing.png,muine-playing.png
-resource:../data/images/muine-paused.png,muine-paused.png
-resource:../data/images/muine-nothing.png,muine-nothing.png
-resource:../data/images/muine-default-cover.png,muine-default-cover.png
-resource:../data/images/muine-cover-downloading.png,muine-cover-downloading.png
-resource:../data/images/muine-about.png,muine-about.png
-resource:../data/images/muine-32.png,muine.png						
-r:/usr/lib/mono/gtk-sharp-2.0/pango-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/atk-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/gdk-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/gtk-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/glib-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/gnome-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/art-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/gnome-vfs-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/glade-sharp.dll
-r:/usr/lib/mono/gtk-sharp-2.0/gconf-sharp.dll  
./PlaylistWindow.cs(163,25): warning CS0612: `Gtk.Tooltips' is obsolete
./PlaylistWindow.cs(179,25): error CS0104: `VolumeButton' is an ambiguous
reference between `Gtk.VolumeButton' and `Bacon.VolumeButton'
/usr/lib/mono/gac/gtk-sharp/2.12.0.0__35e10195dab3c99f/gtk-sharp.dll (Location
of the symbol related to previous error)
./VolumeButton.cs(48,18): (Location of the symbol related to previous error)
./VolumeButton.cs(55,17): warning CS0612: `Gtk.Tooltips' is obsolete
Compilation failed: 1 error(s), 2 warnings
make[2]: *** [muine.exe] Error 1

Not a mono expert, so I'm not sure what this means, but it's causing broken deps
in rawhide (as well as FTBFS).


Comment 4 Alex Lancaster 2008-07-11 11:41:56 UTC
Tried yet again with muine-0.8.8-10.

http://koji.fedoraproject.org/koji/taskinfo?taskID=709705

still fails to build, but apparently for a different reason:

 gcc -DHAVE_CONFIG_H -I. -I.. -I.. -DG_LOG_DOMAIN=\"libmuine\"
-DGNOMELOCALEDIR=\"/usr/share/locale\" -pthread -I/usr/include/gconf/2
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0
-I/usr/include/gnome-vfs-2.0 -I/usr/lib64/gnome-vfs-2.0/include
-I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo
-I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/gstreamer-0.10
-I/usr/include/libxml2 -Wall -Wmissing-prototypes -Wnested-externs
-Wpointer-arith -Wno-sign-compare -Werror -DG_DISABLE_DEPRECATED
-DGTK_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED
-DGDK_PIXBUF_DISABLE_DEPRECATED -DGNOME_DISABLE_DEPRECATED -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mtune=generic -MT pointer-list-model.lo -MD -MP -MF
.deps/pointer-list-model.Tpo -c pointer-list-model.c  -fPIC -DPIC -o
.libs/pointer-list-model.o
cc1: warnings being treated as errors
pointer-list-model.c: In function 'pointer_list_model_row_draggable':
pointer-list-model.c:220: error: implicit declaration of function 'GTK_CHECK_TYPE'
pointer-list-model.c:220: error: nested extern declaration of 'GTK_CHECK_TYPE'
pointer-list-model.c: In function 'pointer_list_model_row_drop_possible':
pointer-list-model.c:276: error: implicit declaration of function 'GTK_CHECK_CAST'
pointer-list-model.c:276: error: nested extern declaration of 'GTK_CHECK_CAST'
pointer-list-model.c:276: error: expected expression before 'PointerListModel'
pointer-list-model.c:276: error: assignment makes pointer from integer without a
cast
make[3]: 

This is causing broken deps in rawhide because of the new gnome-sharp:

	muine-0.8.8-9.fc9.i386 requires mono(glib-sharp) = 0:2.10.0.0
	muine-0.8.8-9.fc9.i386 requires mono(gdk-sharp) = 0:2.10.0.0
	muine-0.8.8-9.fc9.i386 requires mono(gtk-sharp) = 0:2.10.0.0

This needs to be fixed ASAP otherwise it could be pulled from Fedora.

Comment 5 Alex Lancaster 2008-07-16 01:20:14 UTC
In discussion on IRC channel #mono on irc.gnome.org, it seems that the inclusion
of Gtk.VolumeButton in newer gtk-sharp2 might be cause, a suggested fix is:

(06:14:57 PM) : it seems the new GTK included a 'Gtk.VolumeButton"
(06:15:13 PM) : which was not present before and so its ambigious
(06:16:13 PM) : the path would be to find "PlaylistWindow.cs(179,25)"
(06:16:31 PM) : and put "Bacon." in front of the reference to VolumeButton

Comment 6 Alex Lancaster 2008-07-16 01:27:49 UTC
Also it appears that the SVN may already have the appropriate fix:

http://svn.gnome.org/viewvc/muine/trunk/src/PlaylistWindow.cs?r1=1150&r2=1177

and that on Sat 12 July an "upcoming release" is planned:

http://svn.gnome.org/viewvc/muine/trunk/NEWS?revision=1196&view=markup

so this package shouldn't be considered dead, hopefully it will be able to be
rebuilt soon.

Comment 7 Alex Lancaster 2008-07-17 07:45:41 UTC
OK with pre-release snapshot of 0.8.9 provided by the upstream maintainer, it
now builds:

http://koji.fedoraproject.org/koji/taskinfo?taskID=721892

Comment 8 Sindre Pedersen Bjørdal 2008-07-17 09:52:26 UTC
I'm always looking for co-maintainers, if you want to help me maintain muine 
please do request maintainership via the pkgdb interface. cvsextras members can 
submit changes for this package as well, so feel free to submit your updated 
package to the devel tree. 

Comment 9 Alex Lancaster 2008-07-17 11:26:52 UTC
Thanks, yep, I'm planning to submit the updated package soon.  Meantime I'm
waiting on the final nod from the upstream muine maintainer that this is the
final 0.8.9 tarball.

Not sure if I can be a co-maintainer just at the moment, but I am happy to fix
broken deps in rawhide.

Comment 10 Alex Lancaster 2008-07-19 12:05:36 UTC
0.8.9 of muine builds in rawhide, CLOSING:

http://koji.fedoraproject.org/koji/buildinfo?buildID=56787


Note You need to log in before you can comment on or make changes to this bug.